package com.cpop.core.base.enums;

import lombok.Getter;

/**
 * 订单来源
 */
@Getter
public enum OrderSource {

    /**
     * 商城
     */
    MALL("Mall",0.002),

    /**
     * 一次性支付
     */
    EASY_LEARN("EasyLearn",0.002),

    /**
     * 先学后付
     */
    LEARN_NOW_PAY_LATER("LearnNowPayLater",0.06)
    ;

    OrderSource(String name, Double rate) {
        this.rate = rate;
        this.name = name;
    }

    /**
     * 分账比例
     */
    private Double rate;

    private String name;

    public void setRate(Double rate) {
        this.rate = rate;
    }

    public void setName(String name) {
        this.name = name;
    }
}
